
QGIS Application - Bug report #3792

When loading the same layer twice, new diagrams disappear

2011-05-03 06:28 AM - Paolo Cavallini

Status: Closed

Priority: Low

Assignee:

Category: Symbology

Affected QGIS version:2.8.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 13850

Description

I load a layer. I add new diagrams (pie). I add again the same layer. The pies disappear. If I open the layer properties again, they appear

again. If I do the same with new symbology on, everything works well.

History

#1 - 2011-05-03 08:28 AM - Paolo Cavallini

UNclear - it happens on some machines, not on others. Feedback from other users welcome.

#2 - 2011-12-16 12:45 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#3 - 2012-04-16 06:27 AM - Paolo Cavallini

- Target version changed from Version 1.7.4 to Version 1.8.0

- Affected QGIS version set to master

- Crashes QGIS or corrupts data set to No

#4 - 2012-09-04 12:01 PM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#5 - 2014-06-28 07:40 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#6 - 2015-04-13 06:26 AM - Nyall Dawson

- Assignee deleted (nobody -)

- Status changed from Open to Feedback

- Pull Request or Patch supplied set to No

Can you test again with current master version? A lot of diagram related fixes have landed which should have solved this.

#7 - 2015-05-11 12:09 AM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to not reproducable

closing for lack of feedback.
#8 - 2015-05-11 10:27 AM - Paolo Cavallini

- Resolution deleted (not reproducable)

- Status changed from Closed to Reopened

I confirm the bug is still true for 2.8.2, and very easy to replicate in my case.

Removing the second layer and opening the properties of the first one, the diagrams are still selected. Clicking OK makes them to reappear.

#9 - 2015-05-11 12:13 PM - Giovanni Manghi

- Status changed from Reopened to Feedback

- Operating System deleted (Debian)

- Status info deleted (0)

Paolo Cavallini wrote:

I confirm the bug is still true for 2.8.2, and very easy to replicate in my case.

Removing the second layer and opening the properties of the first one, the diagrams are still selected. Clicking OK makes them to reappear.

it does not happen here on master, please give it a try and report back.

#10 - 2015-05-12 12:10 AM - Paolo Cavallini

Cannot install master right now. Could anyone please confirm? In any case, the ticket should be left open for a backport on LTR.

#11 - 2015-05-12 02:15 AM - Nyall Dawson

Unfortunately it's not possible to backport this one - it's a fairly large change that requires a break in project format, meaning that projects created in 2.8.3

would not open correctly in 2.8.0/1/2

#12 - 2015-05-12 04:43 AM - Paolo Cavallini

- Status changed from Feedback to Open

Thanks for clarifying. So essentially this remains an open issue for LTR, fixed in master.

#13 - 2015-05-12 05:04 AM - Giovanni Manghi

- Affected QGIS version changed from master to 2.8.1

- Status changed from Open to Feedback

Paolo Cavallini wrote:

Thanks for clarifying. So essentially this remains an open issue for LTR, fixed in master.
we usually close tickets about issues that are fixed in master. If this fix will not be backported I don't see why not closing.

#14 - 2015-05-12 05:25 AM - Nyall Dawson

Well, it would still be nice to receive a definite "resolved" from Paolo. There's still a chance it's an unaddressed issue I've misinterpreted.

#15 - 2015-05-12 10:56 AM - Paolo Cavallini

I'll check during HF. I think closing an issue that is still valid for LTR would not be appropriate, as people will keep on reporting it, increasing the noise.

IMHO this should be closed only when fixed or when LTR expires, but this should better be discussed on qgis-dev.

Thanks.

#16 - 2015-05-12 11:08 AM - Giovanni Manghi

Paolo Cavallini wrote:

I'll check during HF. I think closing an issue that is still valid for LTR would not be appropriate, as people will keep on reporting it, increasing the

noise.

if someone will report it again then I'll close it as fixed in master. From my point of view, that I try to keep this thing as clean as possible, is more noisy a

ticket open for an issue already fixed in master.

#17 - 2015-05-29 08:02 AM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed

the general opinion was to close ticket like this one.
